Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::GeneratorParam_Arithmetic< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::GeneratorParam_Arithmetic< T >:

## Public Member Functions
| GeneratorParam_Arithmetic (const std::string &name, const T &value, const T &min=std::numeric_limits< T >::lowest(), const T &max=std::numeric_limits< T >::max())
void | set_impl (const T &new_value) override
void | set_from_string (const std::string &new_value_string) override
std::string | get_default_value () const override
std::string | call_to_string (const std::string &v) const override
std::string | get_c_type () const override
Public Member Functions inherited from Halide::Internal::GeneratorParamImpl< T >
| GeneratorParamImpl (const std::string &name, const T &value)
T | value () const
| operator T () const
| operator Expr () const
void | set (const std::string &new_value)
Public Member Functions inherited from Halide::Internal::GeneratorParamBase
| GeneratorParamBase (const std::string &name)
virtual | ~GeneratorParamBase ()
const std::string & | name () const
void | set (const std::string &new_value)
void | set (const char *new_value)
| GeneratorParamBase (const GeneratorParamBase &)=delete
GeneratorParamBase & | operator= (const GeneratorParamBase &)=delete
| GeneratorParamBase (GeneratorParamBase &&)=delete
GeneratorParamBase & | operator= (GeneratorParamBase &&)=delete

## Additional Inherited Members
Public Types inherited from Halide::Internal::GeneratorParamImpl< T >
using | type = T
Protected Member Functions inherited from Halide::Internal::GeneratorParamBase
void | check_value_readable () const
void | check_value_writable () const
virtual std::string | get_type_decls () const
virtual bool | is_synthetic_param () const
virtual bool | is_looplevel_param () const
void | fail_wrong_type (const char *type)
Protected Attributes inherited from Halide::Internal::GeneratorParamImpl< T >
T | value_

## Detailed Description

template<typename T>
class Halide::Internal::GeneratorParam_Arithmetic< T >

Definition at line 726 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorParam_Arithmetic()

template<typename T >

Halide::Internal::GeneratorParam_Arithmetic< T >::GeneratorParam_Arithmetic | ( | const std::string & | name,
|  | const T & | value,
|  | const T & | min = `std::numeric_limits<T>::lowest()`,
|  | const T & | max = `std::numeric_limits<T>::max()`
| ) |  |
| inline

Definition at line 728 of file Generator.h.

References Halide::Internal::GeneratorParamImpl< T >::set().

## Member Function Documentation

## ◆ set_impl()

template<typename T >

void Halide::Internal::GeneratorParam_Arithmetic< T >::set_impl | ( | const T & | new_value | ) |
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParamImpl< T >.

Definition at line 737 of file Generator.h.

References Halide::cast(), Halide::Internal::GeneratorParamImpl< T >::set_impl(), and user_assert.

## ◆ set_from_string()

template<typename T >

void Halide::Internal::GeneratorParam_Arithmetic< T >::set_from_string | ( | const std::string & | new_value_string | ) |
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Reimplemented in Halide::Internal::GeneratorParam_Bool< T >.

Definition at line 742 of file Generator.h.

References Halide::cast(), Halide::Internal::GeneratorParamImpl< T >::set(), and user_assert.

## ◆ get_default_value()

template<typename T >

std::string Halide::Internal::GeneratorParam_Arithmetic< T >::get_default_value | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Reimplemented in Halide::Internal::GeneratorParam_Bool< T >.

Definition at line 759 of file Generator.h.

References Halide::cast(), and Halide::Internal::GeneratorParamImpl< T >::value().

## ◆ call_to_string()

template<typename T >

std::string Halide::Internal::GeneratorParam_Arithmetic< T >::call_to_string | ( | const std::string & | v | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Reimplemented in Halide::Internal::GeneratorParam_Bool< T >.

Definition at line 773 of file Generator.h.

References Halide::cast().

## ◆ get_c_type()

template<typename T >

std::string Halide::Internal::GeneratorParam_Arithmetic< T >::get_c_type | ( |  | ) | const
| inline override virtual

Implements Halide::Internal::GeneratorParamBase.

Reimplemented in Halide::Internal::GeneratorParam_Bool< T >.

Definition at line 779 of file Generator.h.

References Halide::cast(), and user_error.

The documentation for this class was generated from the following file:

- src/Generator.h